#ifndef TARTANALOOPNEBULA_HH
#define TARTANALOOPNEBULA_HH

#include <iostream>

#include "TArtAnaLoop.hh"

#include "TArtCalibNEBULA.hh"
#include "TArtNEBULAPla.hh"
#include "TArtNEBULAPlaPara.hh"
#include "TArtNEBULAParameters.hh"

class TArtAnaLoopNEBULA : public TArtAnaLoop
{
public:
  TArtAnaLoopNEBULA();
  ~TArtAnaLoopNEBULA();

protected:
  void Construct();
  void Calculate();
  void Destruct();

  void AddNEBULA();

  TArtCalibNEBULA *calibnebula;
  TArtNEBULAParameters *nebulaparameters;

public:
  const char* ClassName() const;

  ClassDef(TArtAnaLoopNEBULA,1);
};

#endif
