#ifndef EWNUM_HH
#define EWNUM_HH

#undef NEBULA
#undef DALI

namespace WNum{
  namespace NEBULA{
    enum {
      ID=1,     //1
      Layer,    //2
      SubLayer, //3
      DetPosX,  //4
      DetPosY,  //5
      DetPosZ,  //6

      QURaw=10, //10
      QDRaw,    //11
      QUPed,    //12
      QDPed,    //13
      QUCal,    //14
      QDCal,    //15
      QAvePed,  //16
      QAveCal,  //17
      LogQPed,  //18
      LogQCal,  //19

      TURaw=30, //30
      TDRaw,    //31
      TUCal,    //32
      TDCal,    //33
      TUSlw,    //34
      TDSlw,    //35
      DTRaw,    //36
      DTCal,    //37
      DTSlw,    //38
      TAveRaw,  //39
      TAveCal,  //40
      TAveSlw,  //41

      PosCal=50,//50
      PosSlw,   //51

      PosX=60,  //60
      PosY,     //61
      PosZ,     //62
    };
  }

  namespace DALI{
    enum {
      ID=1,  //1
      TRaw,  //2
      ARaw,  //3
      T,     //4
      E      //5
    };
  }
}

#endif
